import * as _codemirror_state from '@codemirror/state';

interface IndentationMarkerConfiguration {
    /**
     * Determines whether active block marker is styled differently.
     */
    highlightActiveBlock?: boolean;
    /**
     * Determines whether markers in the first column are omitted.
     */
    hideFirstIndent?: boolean;
    /**
     * Determines the type of indentation marker.
     */
    markerType?: "fullScope" | "codeOnly";
}

declare function indentationMarkers(config?: IndentationMarkerConfiguration): _codemirror_state.Extension[];

export { indentationMarkers };
